Skip to main content
POST
Generate presigned upload URL

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization_id
required
employee_id
required

Body

application/json

Request schema for generating presigned upload URL.

document_type
enum<string>
required
Available options:
payslip,
contract,
work_permit,
id_document,
proof_of_address,
org_logo,
uk_bacs_file,
uk_bacs_file_csv,
other
document_name
string
required

User-friendly document name

Examples:

"Payslip May 2025"

"Work Permit 2025"

document_date
string<date> | null

The period/date this document represents (e.g., payroll month)

file_size_bytes
integer | null

Expected file size in bytes (for validation)

Required range: x > 0

Response

Successful Response

Response schema for presigned upload URL.

upload_url
string
required

Presigned URL for uploading the document

document_id
string
required

Document ID

expires_at
string<date-time>
required

When the presigned URL expires